Forum Programmation.php Version minimal de php pour qu'un script fonctionne

Posté par .
Tags : aucun
0
23
mar.
2005
Bonjour,

Connaîtriez-vous un outil qui analyse un source php et qui permette de définir quelle version minimale de php il faut pour le faire tourner ?
( d'ailleurs est-ce possible ? ). Il me semble qu'il y a certainement au moins la possibilité de trouver la fonction standard la plus récemment introduite dans php employée dans le script en question, c'est déjà un élément d'information...( encore faut-il avoir la table "nom de fonction/version d'introduction" et la maintenir)

C'est pour pouvoir dire "mon script fonctionne 'certainement' avec php N-n" alors que je l'ai développé en version N...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.